#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    cout.tie(0);
    long long a, b, k, ans=0, br=0, br1=0;
    cin>>a>>b>>k;
    for(long long i=a;i<b;i++)
    {
        if((i+2)!=k && (i+1)!=k){
            ans++;
            i++;
        }
        else if(i+1==k){
            br++;
            for(long long j=i;j<i+k;j++)
            {
                if((i+2)%k!=0 && (i+2)<=b)i++;
                ans++;
                br1++;
            }
            ans+=((b-(i))/k)*br1+1;
            i=i+(b-i)/k+1;
        }
        else{
            ans++;
        }
    }
    cout<<ans<<endl;
    return 0;
}

